import { ModuleWithProviders, NgModule } from '@angular/core';

import { SERVICES } from './services';

@NgModule({})
export class MemberClassRootModule {}

@NgModule({})
export class MemberClassModule {
  public static forRoot(): ModuleWithProviders<MemberClassRootModule> {
    return {
      ngModule: MemberClassRootModule,
      providers: [...SERVICES],
    };
  }
}
